Subject: bug#37345: Icecat doesn't display numbers on Guix System

From: Jan <[email-masked]>
Date: Mon, 9 Sep 2019 00:03:30 +0200

On Sun, 08 Sep 2019 15:20:12 -0600
Jesse Gibbons <[email-masked]> wrote:

> I cannot replicate.
> What commit did you notice this? (guix describe)
Since the beginning, not sure what commit (checked with 'guix system
list-generations'), that was:
"Generation 1 September 01 2019 01:15:51"
Probably a fresh Guix System installation from the ISO image from the
website.
Now I run the following commit:
ba7bd6c62ddaab4d5623fb149b47579e13a9e5f5
And the bug is still present

> Are there any settings different from the default?
I did nothing special to Icecat, just installed a few add-ons: Umatrix,
Ublock Origin and "Dark Background and Light Text", these add-ons don't
cause any problems on Firefox for example, but removed the ".mozilla"
folder just to be sure, also I remember that displaying numbers hadn't
worked since the beginning, even before I installed the add-ons.  

As for the system, here's my configuration file:

(use-modules (gnu))
(use-service-modules desktop networking ssh xorg)

(operating-system
 (locale "pl_PL.utf8")
 (timezone "Europe/Warsaw")
 (keyboard-layout (keyboard-layout "pl" "legacy"))
 (bootloader
  (bootloader-configuration
   (bootloader grub-bootloader)
   (target "/dev/sda")
   (keyboard-layout keyboard-layout)))
 (swap-devices (list "/dev/sda3"))
 (file-systems
  (cons* (file-system
	  (mount-point "/home")
	  (device
	   (uuid "640b9945-4421-403a-93da-02768c28b29b"
		 'btrfs))
	  (type "btrfs"))
	 (file-system
	  (mount-point "/")
	  (device
	   (uuid "55c8dec3-4e68-4441-9d78-a9b55d9fc9bd"
		 'ext4))
	  (type "ext4"))
	 %base-file-systems))
 (host-name "navi")
 (users (cons* (user-account
		(name "user")
		(comment "User")
		(group "users")
		(home-directory "/home/user")
		(supplementary-groups
		 '("wheel" "netdev" "audio" "video")))
	       %base-user-accounts))
 (packages
  (append
   (map specification->package
        '("i3-wm"
          "nss-certs"
          "icecat"
          "ungoogled-chromium"
	  "libreoffice"
          "mpv"
          "gimp"
          "emacs"
          "emacs-paredit"
          "emacs-auto-complete"
	  "gnupg"          
          "htop"))
   %base-packages))
 (services
  (append
   (list (service mate-desktop-service-type)
	 (service tor-service-type)
	 (extra-special-file "/usr/bin/env"
                             (file-append coreutils "/bin/env"))
         (extra-special-file "/bin/bash"
                             (file-append coreutils "/bin/bash"))
	 (set-xorg-configuration
	  (xorg-configuration
	   (keyboard-layout keyboard-layout))))
   %desktop-services)))